### Function

# Gck Attributes new_empty

#### Declaration [src]

    GckAttributes*
    gck_attributes_new_empty (
      gulong first_type,
      ...
    )

#### Description [src]

Creates an GckAttributes array with empty attributes

Terminate the argument list with `GCK_INVALID`.

This function is not directly available to language bindings.

#### Parameters

`first_type`

  Type: `gulong`

  The first empty attribute type.

`...`

  Type: ``

  The other empty attribute types.

#### Return value

Type: `GckAttributes`

A reference to an empty set of attributes.

The caller of the function takes ownership of the data, and is responsible for freeing it.